=== debian/changelog ===
python-aioswitcher (4.0.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Mar 2025 11:36:33 -0500

python-aioswitcher (4.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1079822)

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Aug 2024 23:03:00 +0200
