=== debian/control ===
Source: python-aioswitcher
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp,
 python3-assertpy,
 python3-freezegun,
 python3-pycryptodome,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-pytest-resource-path,
 python3-pytest-sugar,
 python3-time-machine,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aioswitcher
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aioswitcher.git
Homepage: https://github.com/TomerFi/aioswitcher

Package: python3-aioswitcher
Architecture: all
Depends:
 python3-aiohttp,
 python3-pycryptodome,
 ${misc:Depends},
 ${python3:Depends},
Description: Switcher Python Integration
 This package provides integration with the Switcher API. I can handle many
 devices, such as: Switcher V2, Switcher Mini, Switcher Touch (V3),
 Switcher V4, Switcher Power Plug, Switcher Breeze, Switcher Runner, Switcher
 Runner Mini, Switcher Runner S11.
