=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/TomerFi/aioswitcher.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS=-v tests --ignore tests/test_schedule_parser.py -k 'not test_minutes_to_hexadecimal_seconds_with_a_negative_value_should_throw_an_error and not test_current_timestamp_to_hexadecimal_with_errornous_value_should_throw_an_error'

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_fixperms:
	dh_fixperms
	chmod -x $(CURDIR)/debian/python3-aioswitcher/usr/lib/python3/dist-packages/aioswitcher/__init__.py
