## python-aioswitcher 6.0.3

=== requirements.txt ===
poetry==2.0.1
