=== debian/changelog ===
python-aioswitcher (6.0.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #1123188)
  * Refresh Cryptodome patch.
  * Add my name to copyright and uploaders.
  * Switch to using dh-sequence-python3.
  * Switch to autopkgtest-pkg-pybuild.
  * Upstream needs pytz for tests.
  * Add <!nocheck> to test dependencies.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.
  * Update debian/watch to format version 5.
  * Pass --no-cov to pytest to avoid generating the coverage report.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sat, 10 Jan 2026 09:51:11 +0000
