=== debian/control ===
--- 
+++ 
@@ -1,31 +1,33 @@
 Source: python-aioswitcher
 Section: python
-Priority: optional
 Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Edward Betts <edward@4angle.com>,
 Build-Depends:
  debhelper-compat (= 11),
- dh-python,
+ dh-sequence-python3,
  openstack-pkg-tools,
  pybuild-plugin-pyproject,
  python3-all,
  python3-poetry-core,
  python3-setuptools,
 Build-Depends-Indep:
- python3-aiohttp,
- python3-assertpy,
- python3-freezegun,
- python3-pycryptodome,
- python3-pytest,
- python3-pytest-asyncio,
- python3-pytest-cov,
- python3-pytest-resource-path,
- python3-pytest-sugar,
- python3-time-machine,
-Standards-Version: 4.6.1
+ python3-aiohttp <!nocheck>,
+ python3-assertpy <!nocheck>,
+ python3-freezegun <!nocheck>,
+ python3-pycryptodome <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-pytest-resource-path <!nocheck>,
+ python3-pytest-sugar <!nocheck>,
+ python3-pytz <!nocheck>,
+ python3-time-machine <!nocheck>,
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aioswitcher
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aioswitcher.git
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/TomerFi/aioswitcher
 
 Package: python3-aioswitcher
