=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/TomerFi/aioswitcher.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS=tests --no-cov --ignore=tests/test_schedule_parser.py -k "not test_seconds_to_iso_time_with_a_nagative_value_should_throw_an_error"

%:
	dh $@ --buildsystem=pybuild

override_dh_fixperms:
	dh_fixperms
	chmod -x $(CURDIR)/debian/python3-aioswitcher/usr/lib/python3/dist-packages/aioswitcher/__init__.py
