=== debian/watch ===
Version: 5

Template: Github
Owner: TomerFi
Project: aioswitcher
